Alternate Payment (Wallet/ACH)

API Explorer
loading...
POST

Retrieves the detailed transaction status using merchant credentials and transaction reference.

Header Parameters

token(Please Enter token that is generated from the iPOSpays Merchant Portal)*string

Authentication token generated using the API Key and Secret Key. Required for all API requests.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com/iposTransactStatus" \  -H "token(Please Enter token that is generated from the iPOSpays Merchant Portal): string" \  -H "Content-Type: application/json" \  -d '{    "merchantAuthentication": {      "merchantId": "MERCHANT_ID_HERE",      "transactionReferenceId": "TX_REF_ID_HERE"    }  }'
{
  "iposhpresponse": {
    "Response": {
      "RespCode": "00",
      "RespMsg": "APPROVAL - AUTH NUM 272-172",
      "TxRefNo": "9298395654Testing024122",
      "DTxId": "28118655670253241411750855554528",
      "BatchNo": "607",
      "Rrn": "-rosY2zcUJilI0i2-_uVcDAYaJdZWMItJmrq",
      "TotalAmount": "1231",
      "Amount": "1231",
      "Tip": "0",
      "CardType": "Wallet",
      "TransactionType": "CHECK",
      "Status": "Approved",
      "AchToken": "Your ACHTokenHere",
      "TxnSettleStatus": "Yet to Settle"
    },
    "TxDetail": {
      "DateNTime": "11750855554528",
      "Tpn": "567025324141"
    }
  }
}
{
  "errors": [
    {
      "field": "IPOSTRANCT_001",
      "message": "No Transaction Registered with This TransactionRefId. Please try with valid details.",
      "bulbIconRequired": false
    }
  ]
}